<?php
include "jpgraph/src/jpgraph.php";
include "jpgraph/src/jpgraph_bar.php";

// Create the graph.
$graph = new Graph(800,600,"auto");
$graph->img->SetMargin(45,20,20,40);
$graph->SetScale("textlin");
$graph->SetShadow();
$graph->SetColor(array(250,250,250));

$graph->img->SetTransparent("white");

// Create the bar plot
$l2plot = new BarPlot($data);
$l2plot->SetFillColor("orange");

// Add the plots to the graph
$graph->Add($l2plot);

$graph->title->Set($title);
$graph->xaxis->title->Set($xtitle);
$graph->yaxis->title->Set($ytitle);

$graph->title->SetFont(FF_FONT1,FS_BOLD);
$graph->yaxis->title->SetFont(FF_FONT1,FS_BOLD);
$graph->xaxis->title->SetFont(FF_FONT1,FS_BOLD);

$graph->xaxis->SetTickLabels($label);
if ($vertlabel) {
	$graph->xaxis->SetLabelAngle(90);
	$graph->xaxis->SetLabelAlign('center','bottom');
	$graph->xaxis->SetLabelMargin(-10);
} else {
	$graph->xaxis->SetTextTickInterval(max(1, (int)(sizeof($data)/10)));
}

// Display the graph
$graph->Stroke();
?>
